com.mapinfo.midev.style

## Class IFont.FontFaceStyle

- java.lang.Object
- - java.lang.Enum
  - - com.mapinfo.midev.style.IFont.FontFaceStyle

All Implemented Interfaces:
  Serializable, Comparable

Enclosing interface:
  IFont

    public static final class IFont.FontFaceStyle
    extends Enum

Controls whether the text is to be rendered using a normal, italic, or oblique face.

See Also:
  Serialized Form

### Field Summary

Fields
`static IFont.FontFaceStyle` `ITALIC` Italic font style, in which the letters lean to the right.
`static IFont.FontFaceStyle` `NORMAL` Normal font style, in which the letters are vertical.
`static IFont.FontFaceStyle` `OBLIQUE` Oblique font style, in which the letters lean to the left.

### Method Summary

All Methods Static Methods Concrete Methods
`static IFont.FontFaceStyle` `valueOf(String name)`
`static IFont.FontFaceStyle[]` `values()`

### Methods inherited from class java.lang.Enum

`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### NORMAL

    public static final IFont.FontFaceStyle NORMAL

Normal font style, in which the letters are vertical.

#### ITALIC

    public static final IFont.FontFaceStyle ITALIC

Italic font style, in which the letters lean to the right.

#### OBLIQUE

    public static final IFont.FontFaceStyle OBLIQUE

Oblique font style, in which the letters lean to the left.

### Method Detail

#### values

    public static IFont.FontFaceStyle[] values()

#### valueOf

    public static IFont.FontFaceStyle valueOf(String name)